summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter A. Bigot <pabigot@users.sourceforge.net>2010-05-30 10:35:09 -0500
committerPeter A. Bigot <pabigot@users.sourceforge.net>2010-05-30 10:35:09 -0500
commitf4d974d7579fd12117fa62c014888fa43c359866 (patch)
tree4299a260f4583513bf100256d71f4d612da0ed43
parent2302805ee25479b3546fb5e0bdef84bb3ced82df (diff)
Integrate specific test for trac/33
-rwxr-xr-xtests/trac/trac-0033/test.sh7
-rw-r--r--tests/trac/trac-0033/tread.py (renamed from tests/trac/trac-33/tread.py)2
2 files changed, 9 insertions, 0 deletions
diff --git a/tests/trac/trac-0033/test.sh b/tests/trac/trac-0033/test.sh
new file mode 100755
index 0000000..da464a9
--- /dev/null
+++ b/tests/trac/trac-0033/test.sh
@@ -0,0 +1,7 @@
+fail () {
+ echo 1>&2 "${test_name} FAILED: ${@}"
+ exit 1
+}
+
+python tread.py || fail trac33
+echo 'trac33 passed'
diff --git a/tests/trac/trac-33/tread.py b/tests/trac/trac-0033/tread.py
index 9fe4f80..08b0b8c 100644
--- a/tests/trac/trac-33/tread.py
+++ b/tests/trac/trac-0033/tread.py
@@ -44,6 +44,8 @@ for size in xrange(1, max_reps):
ct1 = time.time()
print "%d gen=%g cpl=%g ld=%g prs=%g" % (size, t1 - t0, t2 - t1, t3 - t2, ct1 - ct0)
+ # Should not take more than a second (really, less than 10ms)
+ assert (ct1 - ct0) < 1.0
#file('code.py', 'w').write(code)